// website theme/bootstrap

$theme-colors:
(
	'primary': #ebddcc,
	'secondary': #304036,
);


// import bootstrap scss
@import '../../node_modules/bootstrap/scss/bootstrap';

$primary-c: #ebddcc;
$second-c: #304036;
$third-c: #bfd6c6;
$fourth-c: #72847f;
$fifth-c: #76A7E8;
$speed: 0.5s;

// body
// {
// 	background-color: black;
// }

*
{
	background-color: $primary-c;
	color: $second-c;
	border: none;
	font-family: 'Karla', sans-serif;
}

#home-container
{
	padding: 0;
}

#landing
{
	.background-landing
	{
		height: 100vh;
		width: 100%;
		background: url("https://images.unsplash.com/photo-1581978392302-136a082482e5?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=1350&q=80");
		background-size: cover;
		justify-content: center;
		display: flex;
		align-items: center;

		.landing-message
		{
			text-align: center;
			border: 0;
			padding: 0;
			position: relative;
			opacity: 1.5;
			color: $primary-c;
			background-color: rgba(0,0,0,0.4);
			padding: 20px;

			h1
			{
				color: $primary-c;
				background-color: initial;

			}

			p
			{
				color: $primary-c;
				background-color: initial;
			}

			.btn-flip
			{
				opacity: 1;
				outline: 0;
				color: #fff;
				line-height: 40px;
				position: relative;
				text-align: center;
				letter-spacing: 1px;
				display: inline-block;
				text-decoration: none;

				&:hover
				{

					&:after
					{
						opacity: 1;
						transform: translateY(0) rotateX(0);
					}

					&:before
					{
						opacity: 0;
						transform: translateY(50%) rotateX(90deg);
					}
				}

				&:after
				{
					top: 0;
					left: 0;
					opacity: 0;
					width: 100%;
					color: #323237;
					display: block;
					transition: $speed;
					position: absolute;
					background: #adadaf;
					content: attr(data-back);
					transform: translateY(-50%) rotateX(90deg);
				}

				&:before
				{
					top: 0;
					left: 0;
					opacity: 1;
					color: #adadaf;
					display: block;
					padding: 0 30px;
					line-height: 40px;
					transition: $speed;
					position: relative;
					background: initial;
					content: attr(data-front);
					transform: translateY(0) rotateX(0);
				}
			}
		}
	}
}

.navbar
{
	a
	{
		color: $second-c;
	}
}

#hero
{
	.carousel-item
	{
		h1.card-title
		{
			font-size: 85px;
		}
	}
}

// #button-hero1
// {
// 	background-color: blue;
// }

.card
{
	border: 0;
}

#menu-sample
{
	background-color: $primary-c;

	img#sample-image
	{
		// height: 300px;
		height: 15rem;
		width: 100%;
		clip-path: polygon(50% 0%, 100% 50%, 50% 100%, 0% 50%);
	}
}

.container-testimonials
{
	.card
	{
		background-color: $primary-c;
		
		h5
		{
			text-align: center;
		}

		img#testimonials-image
		{
		height: 15rem;
		width: 100%;
		// max-height: 100%;
		clip-path: ellipse(35% 50% at 50% 50%);
		}
	}
}

#menu-main
{
	img#sample-image
	{
		height: 300px;
		width: 100%;
	}
}

.modal	
{
	height: 100%;
	width: 100%;

	&:hover
	{
		cursor: pointer;
	}
}

h1, h2, h3, h4, h5, h6
{
	font-family: 'Rubik', sans-serif;
}

.carousel
{
	.card-title,
	{
		font-family: Garamond;
	}

	 .card-text
	 {
	 	text-align: right;
	 }
}

#about
{
	img
	{
		clip-path: ellipse(23% 24% at 71% 26%);
	}
}

@media only screen and (max-width: 768px) 
{
 	#dindi
  	{
    	display: none;
  	}

	.carousel
	{
		display: none;
	}
}

.btn
{
	background-color: $third-c;

	&:hover
	{
		background-color: $fourth-c;
	}
}

.card-footer
{
	background-color: $primary-c;
	text-align: center;
	border: 0;
}

body#menu
{
	border: 0;
}

footer
{
	p
	{
		background-color: $second-c;
	}

	input
	{
		background-color: white;
		border: 1px solid $second-c;
		width: 100%;
	}

	textarea
	{
		border: .5px solid $second-c;
		background-color: white;
	}
}

// iframe
// {
// 	border: 0;
// 	padding: 0;
// }



// .jumbotron
// {
// 	width: 100%;
// 	height: 100vh;
// 	padding: 0;
// 	margin: 0;
// 	background: url("https://images.unsplash.com/photo-1486427944299-d1955d23e34d?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=1050&q=80");
// 	background-size: cover;
// 	z-index: -1;
// }
